"use strict";
var __webpack_exports__ = {};
const e2e_namespaceObject = require("@tachybase/test/e2e");
(0, e2e_namespaceObject.test)('tabs', async (param)=>{
    let { page, mockPage } = param;
    await mockPage(e2e_namespaceObject.twoTabsPage).goto();
    let tab1Box = await page.getByText('tab 1').boundingBox();
    let tab2Box = await page.getByText('tab 2').boundingBox();
    (0, e2e_namespaceObject.expect)(tab1Box.x).toBeLessThan(tab2Box.x);
    await page.getByText('tab 1').hover();
    await page.getByRole('button', {
        name: 'designer-drag-handler-Page-tab'
    }).dragTo(page.getByText('tab 2'));
    await (0, e2e_namespaceObject.expect)(page.getByText('tab 1')).toBeVisible();
    tab1Box = await page.getByText('tab 1').boundingBox();
    tab2Box = await page.getByText('tab 2').boundingBox();
    (0, e2e_namespaceObject.expect)(tab2Box.x).toBeLessThan(tab1Box.x);
});
var __webpack_export_target__ = exports;
for(var __webpack_i__ in __webpack_exports__)__webpack_export_target__[__webpack_i__] = __webpack_exports__[__webpack_i__];
if (__webpack_exports__.__esModule) Object.defineProperty(__webpack_export_target__, '__esModule', {
    value: true
});
